SDL_tracked_allocation Struct Reference
Collaboration diagram for SDL_tracked_allocation:
[legend]

## Data Fields

void * | mem
size_t | size
Uint64 | stack [10]
char | stack_names [10][256]
struct SDL_tracked_allocation * | next

## Detailed Description

Definition at line 39 of file SDL_test_memory.c.

## Field Documentation

## mem

void* SDL_tracked_allocation::mem

Definition at line 41 of file SDL_test_memory.c.

Referenced by get_allocation_bucket(), SDL_IsAllocationTracked(), SDL_TrackAllocation(), SDL_UntrackAllocation(), SDLTest_TrackedCalloc(), SDLTest_TrackedMalloc(), and SDLTest_TrackedRealloc().

## next

struct SDL_tracked_allocation* SDL_tracked_allocation::next

Definition at line 45 of file SDL_test_memory.c.

Referenced by SDL_IsAllocationTracked(), SDL_TrackAllocation(), SDL_UntrackAllocation(), and SDLTest_LogAllocations().

## size

size_t SDL_tracked_allocation::size

Definition at line 42 of file SDL_test_memory.c.

Referenced by SDL_TrackAllocation(), and SDLTest_LogAllocations().

## stack

Uint64 SDL_tracked_allocation::stack[10]

Definition at line 43 of file SDL_test_memory.c.

Referenced by SDL_TrackAllocation(), and SDLTest_LogAllocations().

## stack_names

char SDL_tracked_allocation::stack_names[10][256]

Definition at line 44 of file SDL_test_memory.c.

Referenced by SDL_TrackAllocation(), and SDLTest_LogAllocations().

The documentation for this struct was generated from the following file:

- src/test/SDL_test_memory.c